Bug 1015640 - [abrt] libreoffice-core-4.1.2.2-1.fc19: Process /usr/lib/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.2.2-1.fc19: Process /usr/lib/libreoffice/program/...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:93827964ab1e6a103379e34364a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 12:34 EDT by Avvocato Andrea Marengoni
Modified: 2015-11-16 13:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 06:49:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (75.85 KB, text/plain)
2013-10-04 12:34 EDT, Avvocato Andrea Marengoni
no flags Details
File: cgroup (142 bytes, text/plain)
2013-10-04 12:34 EDT, Avvocato Andrea Marengoni
no flags Details
File: core_backtrace (41.64 KB, text/plain)
2013-10-04 12:34 EDT, Avvocato Andrea Marengoni
no flags Details
File: dso_list (27.58 KB, text/plain)
2013-10-04 12:34 EDT, Avvocato Andrea Marengoni
no flags Details
File: environ (1.64 KB, text/plain)
2013-10-04 12:35 EDT, Avvocato Andrea Marengoni
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-04 12:35 EDT, Avvocato Andrea Marengoni
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-04 12:35 EDT, Avvocato Andrea Marengoni
no flags Details
File: maps (80.34 KB, text/plain)
2013-10-04 12:35 EDT, Avvocato Andrea Marengoni
no flags Details
File: open_fds (537 bytes, text/plain)
2013-10-04 12:35 EDT, Avvocato Andrea Marengoni
no flags Details
File: proc_pid_status (802 bytes, text/plain)
2013-10-04 12:35 EDT, Avvocato Andrea Marengoni
no flags Details
File: var_log_messages (305 bytes, text/plain)
2013-10-04 12:35 EDT, Avvocato Andrea Marengoni
no flags Details

  None (edit)
Description Avvocato Andrea Marengoni 2013-10-04 12:34:40 EDT
Version-Release number of selected component:
libreoffice-core-4.1.2.2-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --writer file:///home/andrea/Dropbox/Documenti/Cartella%20scambio%20(tra%20pc)/Allegato%20a%20verbale.odt --splash-pipe=5
executable:     /usr/lib/libreoffice/program/soffice.bin
kernel:         3.11.2-201.fc19.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 SfxItemPool::Put at /usr/src/debug/libreoffice-4.1.2.2/svl/source/items/itempool.cxx:751
 #2 SfxItemSet::Put at /usr/src/debug/libreoffice-4.1.2.2/svl/source/items/itemset.cxx:596
 #3 Put at /usr/src/debug/libreoffice-4.1.2.2/include/svl/itemset.hxx:128
 #4 SwDoc::SetDefault at /usr/src/debug/libreoffice-4.1.2.2/sw/source/core/doc/docfmt.cxx:1248
 #6 SwDoc::~SwDoc at /usr/src/debug/libreoffice-4.1.2.2/sw/source/core/doc/docnew.cxx:502
 #8 SwDocShell::RemoveLink at /usr/src/debug/libreoffice-4.1.2.2/sw/source/ui/app/docshini.cxx:458
 #9 SwDocShell::~SwDocShell at /usr/src/debug/libreoffice-4.1.2.2/sw/source/ui/app/docshini.cxx:377
 #11 SvRefBase::QueryDelete at /usr/src/debug/libreoffice-4.1.2.2/tools/source/ref/ref.cxx:29
 #12 ReleaseRef at /usr/src/debug/libreoffice-4.1.2.2/include/tools/ref.hxx:194

Potential duplicate: bug 866272
Comment 1 Avvocato Andrea Marengoni 2013-10-04 12:34:45 EDT
Created attachment 807819 [details]
File: backtrace
Comment 2 Avvocato Andrea Marengoni 2013-10-04 12:34:49 EDT
Created attachment 807820 [details]
File: cgroup
Comment 3 Avvocato Andrea Marengoni 2013-10-04 12:34:53 EDT
Created attachment 807821 [details]
File: core_backtrace
Comment 4 Avvocato Andrea Marengoni 2013-10-04 12:34:57 EDT
Created attachment 807822 [details]
File: dso_list
Comment 5 Avvocato Andrea Marengoni 2013-10-04 12:35:01 EDT
Created attachment 807823 [details]
File: environ
Comment 6 Avvocato Andrea Marengoni 2013-10-04 12:35:05 EDT
Created attachment 807824 [details]
File: exploitable
Comment 7 Avvocato Andrea Marengoni 2013-10-04 12:35:09 EDT
Created attachment 807825 [details]
File: limits
Comment 8 Avvocato Andrea Marengoni 2013-10-04 12:35:13 EDT
Created attachment 807826 [details]
File: maps
Comment 9 Avvocato Andrea Marengoni 2013-10-04 12:35:17 EDT
Created attachment 807827 [details]
File: open_fds
Comment 10 Avvocato Andrea Marengoni 2013-10-04 12:35:20 EDT
Created attachment 807828 [details]
File: proc_pid_status
Comment 11 Avvocato Andrea Marengoni 2013-10-04 12:35:24 EDT
Created attachment 807829 [details]
File: var_log_messages
Comment 12 Caolan McNamara 2013-10-07 06:36:32 EDT
Looks again like something related to cut and paste. Can you reproduce this, or even remember anything about the circumstances of the crash.

I wonder if this is even a corner case of having libreoffice running while updating libreoffice.
Comment 13 Avvocato Andrea Marengoni 2015-11-16 13:21:50 EST
(I don't know the English, I am using a translator) when I write that I am not able to indicate the cause of the problem, it is because I am unable to play it or figure out what caused it. I take this opportunity to ask if, in that case it is better not to do the reporting. Overall I find the quality of Fedora tastes great, I noticed some similarities with Debian in an effort to correct errors, even if the update level is very high (and I realize it's not easy, so congratulations!!!). With very best regards.

Note You need to log in before you can comment on or make changes to this bug.